package com.ruoyi.framework.recovery.service;

import com.ruoyi.common.core.domain.entity.WxUser;

import java.util.List;

/**
 * 用户Service接口
 *
 * @author jin
 * @date 2024-12-01
 */
public interface IWxUserService
{
    /**
     * 查询用户
     *
     * @param id 用户主键
     * @return 用户
     */
    public WxUser selectWxUserById(Long id);

    /**
     * 查询用户列表
     *
     * @param wxUser 用户
     * @return 用户集合
     */
    public List<WxUser> selectWxUserList(WxUser wxUser);

    /**
     * 新增用户
     *
     * @param wxUser 用户
     * @return 结果
     */
    public int insertWxUser(WxUser wxUser);

    /**
     * 修改用户
     *
     * @param wxUser 用户
     * @return 结果
     */
    public int updateWxUser(WxUser wxUser);

    /**
     * 批量删除用户
     *
     * @param ids 需要删除的用户主键集合
     * @return 结果
     */
    public int deleteWxUserByIds(Long[] ids);

    /**
     * 删除用户信息
     *
     * @param id 用户主键
     * @return 结果
     */
    public int deleteWxUserById(Long id);

    /**
     * 根据openid查询登录用户
     *
     * @param openid openid
     * @return 用户信息
     */
    WxUser selectWxUSerByOpenid(String openid);
}
